function convert_to_v6;
% Convert all .mat file in the current directory to ensure compatibility
% with MATLAB versions older than 7.x

dcontents = dir('*.mat');

for fnameidx = 1:length(dcontents),
    keep dcontents fnameidx;
    load(dcontents(fnameidx).name);
    save(dcontents(fnameidx).name,'-v6');
    disp(['Converted ', dcontents(fnameidx).name,' to MATLAB 5.0 compatibility']);
end;